Page MenuHomePhabricator

Create a diagnostic group for warn_call_to_pure_virtual_member_function_from_ctor_dtor, so it can be turned into an error using Werror
ClosedPublic

Authored by ArnaudBienner on Oct 29 2018, 3:13 AM.

Diff Detail

Repository
rC Clang

Event Timeline

ArnaudBienner created this revision.Oct 29 2018, 3:13 AM

Hi Davide,

I see you the last person who updated the test file related to this feature.
Would you feel comfortable reviewing my patch?

This is my first clang patch, so I apologize in advance if I missed obvious things :)

While it's true that I implemented this warning, I don't feel qualified enough to approve the introduction of a new flag to clang. Probably @rsmith should sign this off.

@rsmith do you have any thoughts about this change?

jkorous accepted this revision.Nov 16 2018, 9:38 AM
jkorous added a reviewer: jkorous.
jkorous added a subscriber: jkorous.

LGTM. Thanks for the patch!

This revision is now accepted and ready to land.Nov 16 2018, 9:38 AM

Thanks for the review! :)
Could someone please land the patch for me? I don't have commit access.

sylvestre.ledru edited the summary of this revision. (Show Details)Nov 26 2018, 6:21 AM
This revision was automatically updated to reflect the committed changes.